Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.score.buildin.simplebigdecimal
Class SimpleBigDecimalScoreDefinition

    java.lang.Object
      org.drools.planner.core.score.definition.AbstractScoreDefinition<SimpleBigDecimalScore>
          org.drools.planner.core.score.buildin.simplebigdecimal.SimpleBigDecimalScoreDefinition

All Implemented Interfaces:
  Serializable, ScoreDefinition<SimpleBigDecimalScore>

    public class SimpleBigDecimalScoreDefinition

extends AbstractScoreDefinition<SimpleBigDecimalScore>

See Also:
  Serialized Form

Constructor Summary
`SimpleBigDecimalScoreDefinition()`

Method Summary
`ScoreHolder` | `buildScoreHolder()` TODO JBRULES-2238 remove when the rule that sums the final score can be written as a single rule and `ScoreHolder` is dead
`double` | `calculateTimeGradient(SimpleBigDecimalScore startScore, SimpleBigDecimalScore endScore, SimpleBigDecimalScore score)` See explanation in `Termination.calculateSolverTimeGradient(DefaultSolverScope)`.
`SimpleBigDecimalScore` | `getPerfectMaximumScore()` The perfect maximum `Score` is the `Score` of which there is no better in any problem instance.
`SimpleBigDecimalScore` | `getPerfectMinimumScore()` The perfect minimum `Score` is the `Score` of which there is no worse in any problem instance.
`Class<SimpleBigDecimalScore>` | `getScoreClass()` Returns the `Class` of the actual `Score` implementation
`Score` | `parseScore(String scoreString)` Parses the `String` and returns a `Score`.
`void` | `setPerfectMaximumScore(SimpleBigDecimalScore perfectMaximumScore)`
`void` | `setPerfectMinimumScore(SimpleBigDecimalScore perfectMinimumScore)`

Methods inherited from class org.drools.planner.core.score.definition.AbstractScoreDefinition
`formatScore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleBigDecimalScoreDefinition

    public SimpleBigDecimalScoreDefinition()

Method Detail

### getPerfectMaximumScore

    public SimpleBigDecimalScore getPerfectMaximumScore()

  Description copied from interface: `ScoreDefinition`
  The perfect maximum `Score` is the `Score` of which there is no better in any problem instance. This doesn't mean that the current problem instance, or any problem instance for that matter, could ever attain that `Score`. For example, most cases have a perfect maximum `Score` of zero, as most use cases only have negative constraints.

  Specified by:
    `getPerfectMaximumScore` in interface `ScoreDefinition<SimpleBigDecimalScore>`
  Overrides:
    `getPerfectMaximumScore` in class `AbstractScoreDefinition<SimpleBigDecimalScore>`
  Returns:
    null if not supported

### setPerfectMaximumScore

    public void setPerfectMaximumScore(SimpleBigDecimalScore perfectMaximumScore)

### getPerfectMinimumScore

    public SimpleBigDecimalScore getPerfectMinimumScore()

  Description copied from interface: `ScoreDefinition`
  The perfect minimum `Score` is the `Score` of which there is no worse in any problem instance. This doesn't mean that the current problem instance, or any problem instance for that matter, could ever attain such a bad `Score`. For example, most cases have a perfect minimum `Score` of negative infinity.

  Specified by:
    `getPerfectMinimumScore` in interface `ScoreDefinition<SimpleBigDecimalScore>`
  Overrides:
    `getPerfectMinimumScore` in class `AbstractScoreDefinition<SimpleBigDecimalScore>`
  Returns:
    null if not supported

### setPerfectMinimumScore

    public void setPerfectMinimumScore(SimpleBigDecimalScore perfectMinimumScore)

### getScoreClass

    public Class<SimpleBigDecimalScore> getScoreClass()

  Description copied from interface: `ScoreDefinition`
  Returns the `Class` of the actual `Score` implementation

  Returns:
    never null

### parseScore

    public Score parseScore(String scoreString)

  Description copied from interface: `ScoreDefinition`
  Parses the `String` and returns a `Score`.

  Parameters:
    `scoreString` - never null
  Returns:
    never null
  See Also:
    `ScoreDefinition.formatScore(Score)`

### calculateTimeGradient

    public double calculateTimeGradient(SimpleBigDecimalScore startScore,
                                        SimpleBigDecimalScore endScore,
                                        SimpleBigDecimalScore score)

  Description copied from interface: `ScoreDefinition`
  See explanation in `Termination.calculateSolverTimeGradient(DefaultSolverScope)`.

  Parameters:
    `startScore` - never null
    `endScore` - never null
    `score` - never null
  Returns:
    between 0.0 and 1.0

### buildScoreHolder

    public ScoreHolder buildScoreHolder()

  Description copied from interface: `ScoreDefinition`
  TODO JBRULES-2238 remove when the rule that sums the final score can be written as a single rule and `ScoreHolder` is dead

  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.